import request from '/@/utils/request';

export function lineApi() {
    return {
        // 分页获取休息日列表
        getLine: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/SafeCheckSmartScreen/select/getSmartScreenDataByTaskId`,
                method: 'post',
                data: data
            });
        },

        // 获取Url
        getUrl: () => {
            // debugger
            return request({
                url: import.meta.env.VITE_API_URL_SOCKET + `/ws/namesrv/get/one?srv=safeplatform-websocket`,
                method: 'get'
            });
        }
    };
}
